> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Tạo tài khoản MXV (Future, Nano, MXV)



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml post /mxv/account
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /mxv/account:
    post:
      tags:
        - MXV
      summary: Tạo tài khoản MXV (Future, Nano, MXV)
      operationId: MXV_CreateMXVAccount
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/FireAnt.Api.Models.MXV.CreateMXVAccountRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/FireAnt.Api.Models.MXV.CreateMXVAccountRequest
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/FireAnt.Api.Models.MXV.MXVCreateAccountResponse
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/FireAnt.Api.Models.MXV.MXVCreateAccountResponse
        '400':
          description: Có lỗi khi thực hiện thao tác
      security:
        - oauth2:
            - user-data-write
components:
  schemas:
    FireAnt.Api.Models.MXV.CreateMXVAccountRequest:
      type: object
      properties:
        accountNumber:
          description: "Số tài khoản CQG cơ sở (11 ký tự):\r\n- Để trống: Hệ thống tự động tạo khi mở tài khoản CQG\r\n- Cung cấp: Số tài khoản CQG có sẵn (VD: 648C1234567)"
          type: string
        collaboratorCode:
          description: Mã cộng tác viên (optional)
          type: string
        brokerCode:
          description: Mã môi giới (optional)
          type: string
        accountType:
          description: "Loại hình tài khoản Future (BẮT BUỘC): \r\nC (NĐT cá nhân trong nước), E (NĐT tổ chức trong nước), \r\nF (NĐT cá nhân nước ngoài), I (NĐT tổ chức nước ngoài)"
          type: string
    FireAnt.Api.Models.MXV.MXVCreateAccountResponse:
      description: Response model for create investor account API
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        investorCode:
          type: string
        signingLink:
          type: string
        createdDate:
          format: date-time
          type: string
        approvalId:
          description: Approval ID from MXV system (used as RequestID)
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.